unit GProg;

interface

uses FTPCli, SysUtils, Classes;

type TRetryInfo = record
     Needed: boolean;
     Ready: boolean;
     Time: TDateTime;
     end;

var LocalRoot: string;
    NumLocalFiles, NumRemoteFiles: integer;
    Connection: array [1..8] of TFTPClient;
    LastDir: array [1..8] of string;
    Commands: array [1..8] of TStringList;
    RefreshDelay, SleepTime: TDateTime;
    SleepLoop: Integer;
    RemoteRoot: string;
    LRActive, LRToDo: TDateTime;
    CActive, CToDo: boolean;
    Retry: array [1..8] of TRetryInfo;



implementation

var gploop: integer;


initialization
RefreshDelay:=EncodeTime(0, 0, 0, 500);
SleepTime:=EncodeTime(0, 0, 0, 200);
SleepLoop:=10;
for gploop:=1 to 8 do begin
    Commands[gploop]:=TStringList.Create;
    Commands[gploop].Add('Nowt');
    Retry[gploop].needed:=false;
end;
LRActive:=now;
LRToDo:=now;
CActive:=true;
CToDo:=true;


end.
